<div class="modal-content">
    <div class="modal-header">
        <h3 class="modal-title">Logout</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
    </div>
    <div class="modal-body">
        <div class="portlet-body">
            #{common.alert /}
            <form action="" method="post" id="form_logoutku" class="form_logoutku" enctype="multipart/form-data">
                #{authenticityToken /}
                <div class="form-group has-feedback">
                    <div class="row">
                        <strong><h4>Apakah anda ingin keluar dari sistem ?</h4></strong>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-success btn-elevate2 btn-elevate-air2" id="button_logout"><i class="fa fa-remove"></i> Logout</button>
        <button type="button" class="btn btn-danger btn-elevate2 btn-elevate-air2" data-dismiss="modal"><i class="fa fa-power-off"></i> Tutup</button>
    </div>
    <script>
$(function() {
	$(document).on('click', "button#button_logout", function(){
		  		$.ajax({
				xhr: function() {
        		var browser = navigator.appName;
				if(browser == "Microsoft Internet Explorer"){
				var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
				}else{
        		var xhr = new window.XMLHttpRequest();
				}
        		xhr.upload.addEventListener("progress", function(evt) {
           		 if (evt.lengthComputable) {
               		  var percentComplete = (evt.loaded / evt.total) * 100;
					  blockPageUI();
           		 }
       			}, false);
       			xhr.addEventListener("progress", function(evt) {
           			if (evt.lengthComputable) {
               		var percentComplete = (evt.loaded / evt.total) *100;
					blockPageUI();
           			}
      			 }, false);
			 return xhr;
   			 },
			    async:true,
    		    type: "GET",
			    cache: false,
                contentType: false,
                processData: false,
			    url: "@{user.management.AuthController.logout()}",
				    beforeSend: function(){
				    },
        		    success: function(){
					    $('#modal_logout').modal('hide');
					    $('#modal_logout').on('hidden.bs.modal', function(){
					    $(this).find('form')[0].reset();
                        $(this).data('bs.modal', null);
					    unblockPageUI();
					    });
					    setTimeout(function() {window.location.href = "@{core.LandingController.index()}"}, 1000);
 		            },
				complete: function(){
					unblockPageUI();
				},
			   error: function(){

				}
      			});
	});
});
</script>